{
    "components": {
        "securitySchemes": {
            "sfcBearerAuthentication": {
                "bearerFormat": "JWT",
                "in": "header",
                "scheme": "bearer",
                "type": "http"
            }
        }
    },
    "info": {
        "contact": {
            "email": "EC-SFC2021-INFO@ec.europa.eu",
            "name": "Support",
            "url": "https://ec.europa.eu/sfc/en/2021/webservices"
        },
        "description": "This is the swagger documentation for the report-api for the SFC2021 frontoffice system.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).   ",
        "title": "SFC2021 report-api",
        "version": "3.20.0"
    },
    "openapi": "3.0.1",
    "paths": {
        "/report-api/compare-report/{reportType}/{id}/{compareId}": {
            "get": {
                "description": "Returns the requested report",
                "operationId": "getCompareReport",
                "parameters": [
                    {
                        "example": "REPORT_OP_IJG_ALL",
                        "in": "path",
                        "name": "reportType",
                        "required": true,
                        "schema": {
                            "enum": [
                                "REPORT_ACC_AIB_ALL",
                                "REPORT_ACC_AIB_SNP",
                                "REPORT_ACC_EMFAF_ALL",
                                "REPORT_ACC_EMFAF_SNP",
                                "REPORT_ACC_ETC_ALL",
                                "REPORT_ACC_ETC_SNP",
                                "REPORT_ACC_IJG_ALL",
                                "REPORT_ACC_IJG_SNP",
                                "REPORT_ACR_ALL",
                                "REPORT_ACR_SNP",
                                "REPORT_APPLIED_VAL_RULES_ACC_AIB",
                                "REPORT_APPLIED_VAL_RULES_ACC_EMFAF",
                                "REPORT_APPLIED_VAL_RULES_ACC_ETC",
                                "REPORT_APPLIED_VAL_RULES_ACC_IJG",
                                "REPORT_APPLIED_VAL_RULES_ACR",
                                "REPORT_APPLIED_VAL_RULES_CALLS",
                                "REPORT_APPLIED_VAL_RULES_EC",
                                "REPORT_APPLIED_VAL_RULES_FR",
                                "REPORT_APPLIED_VAL_RULES_MDS",
                                "REPORT_APPLIED_VAL_RULES_MTR",
                                "REPORT_APPLIED_VAL_RULES_NAR",
                                "REPORT_APPLIED_VAL_RULES_OP_AIB",
                                "REPORT_APPLIED_VAL_RULES_OP_EGF",
                                "REPORT_APPLIED_VAL_RULES_OP_EMFAF",
                                "REPORT_APPLIED_VAL_RULES_OP_ETC",
                                "REPORT_APPLIED_VAL_RULES_OP_IJG",
                                "REPORT_APPLIED_VAL_RULES_PA",
                                "REPORT_APPLIED_VAL_RULES_PAP_AIB",
                                "REPORT_APPLIED_VAL_RULES_PAP_EMFAF",
                                "REPORT_APPLIED_VAL_RULES_PAP_ETC",
                                "REPORT_APPLIED_VAL_RULES_PAP_IJG",
                                "REPORT_APPLIED_VAL_RULES_PF",
                                "REPORT_APPLIED_VAL_RULES_PFR",
                                "REPORT_APPLIED_VAL_RULES_SAA",
                                "REPORT_APPLIED_VAL_RULES_TOD_AIB",
                                "REPORT_APPLIED_VAL_RULES_TOD_EMFAF",
                                "REPORT_APPLIED_VAL_RULES_TOD_ETC",
                                "REPORT_APPLIED_VAL_RULES_TOD_IJG",
                                "REPORT_CALLS_ALL",
                                "REPORT_CALLS_SNP",
                                "REPORT_CSP_ALL",
                                "REPORT_CSP_SNP",
                                "REPORT_EC_ALL",
                                "REPORT_EC_SNP",
                                "REPORT_EPC_AR_ALL",
                                "REPORT_EPC_AR_SNP",
                                "REPORT_EPC_WP_ALL",
                                "REPORT_EPC_WP_SNP",
                                "REPORT_FR_ALL",
                                "REPORT_FR_SNP",
                                "REPORT_FR_TABLE2",
                                "REPORT_MDS_ALL",
                                "REPORT_MDS_SNP",
                                "REPORT_MTR_ALL",
                                "REPORT_MTR_SNP",
                                "REPORT_NAR_ALL",
                                "REPORT_NAR_SNP",
                                "REPORT_OP_AIB_ALL",
                                "REPORT_OP_AIB_SNP",
                                "REPORT_OP_EGF_ALL",
                                "REPORT_OP_EGF_SNP",
                                "REPORT_OP_EMFAF_ALL",
                                "REPORT_OP_EMFAF_SNP",
                                "REPORT_OP_ETC_ALL",
                                "REPORT_OP_ETC_ANNEX_T7",
                                "REPORT_OP_ETC_ANNEX_T7_SNP",
                                "REPORT_OP_ETC_ANNEX_T8",
                                "REPORT_OP_ETC_ANNEX_T8_SNP",
                                "REPORT_OP_ETC_SNP",
                                "REPORT_OP_IJG_ALL",
                                "REPORT_OP_IJG_ANNEX_T10",
                                "REPORT_OP_IJG_ANNEX_T10_SNP",
                                "REPORT_OP_IJG_ANNEX_T11",
                                "REPORT_OP_IJG_ANNEX_T11_SNP",
                                "REPORT_OP_IJG_APPLIED_VALIDATION_RULES",
                                "REPORT_OP_IJG_SNP",
                                "REPORT_OP_TJTP_ALL",
                                "REPORT_OP_TJTP_SNP",
                                "REPORT_PAP_AIB_ALL",
                                "REPORT_PAP_AIB_SNP",
                                "REPORT_PAP_EMFAF_ALL",
                                "REPORT_PAP_EMFAF_SNP",
                                "REPORT_PAP_ETC_ALL",
                                "REPORT_PAP_ETC_SNP",
                                "REPORT_PAP_IJG_ALL",
                                "REPORT_PAP_IJG_SNP",
                                "REPORT_PA_ALL",
                                "REPORT_PA_SNP",
                                "REPORT_PFR_ALL",
                                "REPORT_PFR_SNP",
                                "REPORT_PF_ALL",
                                "REPORT_PF_SNP",
                                "REPORT_SAA_ALL",
                                "REPORT_SAA_SNP",
                                "REPORT_TOD_AIB_ALL",
                                "REPORT_TOD_AIB_SNP",
                                "REPORT_TOD_EMFAF_ALL",
                                "REPORT_TOD_EMFAF_SNP",
                                "REPORT_TOD_ETC_ALL",
                                "REPORT_TOD_ETC_SNP",
                                "REPORT_TOD_IJG_ALL",
                                "REPORT_TOD_IJG_SNP"
                            ],
                            "type": "string"
                        }
                    },
                    {
                        "example": 1,
                        "in": "path",
                        "name": "compareId",
                        "required": true,
                        "schema": {
                            "format": "int64",
                            "type": "integer"
                        }
                    },
                    {
                        "example": 2,
                        "in": "path",
                        "name": "id",
                        "required": true,
                        "schema": {
                            "format": "int64",
                            "type": "integer"
                        }
                    },
                    {
                        "in": "query",
                        "name": "isPdf",
                        "required": false,
                        "schema": {
                            "type": "boolean"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "content": {
                            "*/*": {
                                "schema": {
                                    "format": "binary",
                                    "type": "string"
                                }
                            }
                        },
                        "description": "successful operation"
                    }
                },
                "summary": "Compare Report invocation page",
                "tags": [
                    "report"
                ]
            }
        },
        "/report-api/report/{reportType}/{id}": {
            "get": {
                "description": "Returns the requested report",
                "operationId": "getReport",
                "parameters": [
                    {
                        "example": "REPORT_OP_IJG_ALL",
                        "in": "path",
                        "name": "reportType",
                        "required": true,
                        "schema": {
                            "enum": [
                                "REPORT_ACC_AIB_ALL",
                                "REPORT_ACC_AIB_SNP",
                                "REPORT_ACC_EMFAF_ALL",
                                "REPORT_ACC_EMFAF_SNP",
                                "REPORT_ACC_ETC_ALL",
                                "REPORT_ACC_ETC_SNP",
                                "REPORT_ACC_IJG_ALL",
                                "REPORT_ACC_IJG_SNP",
                                "REPORT_ACR_ALL",
                                "REPORT_ACR_SNP",
                                "REPORT_APPLIED_VAL_RULES_ACC_AIB",
                                "REPORT_APPLIED_VAL_RULES_ACC_EMFAF",
                                "REPORT_APPLIED_VAL_RULES_ACC_ETC",
                                "REPORT_APPLIED_VAL_RULES_ACC_IJG",
                                "REPORT_APPLIED_VAL_RULES_ACR",
                                "REPORT_APPLIED_VAL_RULES_CALLS",
                                "REPORT_APPLIED_VAL_RULES_EC",
                                "REPORT_APPLIED_VAL_RULES_FR",
                                "REPORT_APPLIED_VAL_RULES_MDS",
                                "REPORT_APPLIED_VAL_RULES_MTR",
                                "REPORT_APPLIED_VAL_RULES_NAR",
                                "REPORT_APPLIED_VAL_RULES_OP_AIB",
                                "REPORT_APPLIED_VAL_RULES_OP_EGF",
                                "REPORT_APPLIED_VAL_RULES_OP_EMFAF",
                                "REPORT_APPLIED_VAL_RULES_OP_ETC",
                                "REPORT_APPLIED_VAL_RULES_OP_IJG",
                                "REPORT_APPLIED_VAL_RULES_PA",
                                "REPORT_APPLIED_VAL_RULES_PAP_AIB",
                                "REPORT_APPLIED_VAL_RULES_PAP_EMFAF",
                                "REPORT_APPLIED_VAL_RULES_PAP_ETC",
                                "REPORT_APPLIED_VAL_RULES_PAP_IJG",
                                "REPORT_APPLIED_VAL_RULES_PF",
                                "REPORT_APPLIED_VAL_RULES_PFR",
                                "REPORT_APPLIED_VAL_RULES_SAA",
                                "REPORT_APPLIED_VAL_RULES_TOD_AIB",
                                "REPORT_APPLIED_VAL_RULES_TOD_EMFAF",
                                "REPORT_APPLIED_VAL_RULES_TOD_ETC",
                                "REPORT_APPLIED_VAL_RULES_TOD_IJG",
                                "REPORT_CALLS_ALL",
                                "REPORT_CALLS_SNP",
                                "REPORT_CSP_ALL",
                                "REPORT_CSP_SNP",
                                "REPORT_EC_ALL",
                                "REPORT_EC_SNP",
                                "REPORT_EPC_AR_ALL",
                                "REPORT_EPC_AR_SNP",
                                "REPORT_EPC_WP_ALL",
                                "REPORT_EPC_WP_SNP",
                                "REPORT_FR_ALL",
                                "REPORT_FR_SNP",
                                "REPORT_FR_TABLE2",
                                "REPORT_MDS_ALL",
                                "REPORT_MDS_SNP",
                                "REPORT_MTR_ALL",
                                "REPORT_MTR_SNP",
                                "REPORT_NAR_ALL",
                                "REPORT_NAR_SNP",
                                "REPORT_OP_AIB_ALL",
                                "REPORT_OP_AIB_SNP",
                                "REPORT_OP_EGF_ALL",
                                "REPORT_OP_EGF_SNP",
                                "REPORT_OP_EMFAF_ALL",
                                "REPORT_OP_EMFAF_SNP",
                                "REPORT_OP_ETC_ALL",
                                "REPORT_OP_ETC_ANNEX_T7",
                                "REPORT_OP_ETC_ANNEX_T7_SNP",
                                "REPORT_OP_ETC_ANNEX_T8",
                                "REPORT_OP_ETC_ANNEX_T8_SNP",
                                "REPORT_OP_ETC_SNP",
                                "REPORT_OP_IJG_ALL",
                                "REPORT_OP_IJG_ANNEX_T10",
                                "REPORT_OP_IJG_ANNEX_T10_SNP",
                                "REPORT_OP_IJG_ANNEX_T11",
                                "REPORT_OP_IJG_ANNEX_T11_SNP",
                                "REPORT_OP_IJG_APPLIED_VALIDATION_RULES",
                                "REPORT_OP_IJG_SNP",
                                "REPORT_OP_TJTP_ALL",
                                "REPORT_OP_TJTP_SNP",
                                "REPORT_PAP_AIB_ALL",
                                "REPORT_PAP_AIB_SNP",
                                "REPORT_PAP_EMFAF_ALL",
                                "REPORT_PAP_EMFAF_SNP",
                                "REPORT_PAP_ETC_ALL",
                                "REPORT_PAP_ETC_SNP",
                                "REPORT_PAP_IJG_ALL",
                                "REPORT_PAP_IJG_SNP",
                                "REPORT_PA_ALL",
                                "REPORT_PA_SNP",
                                "REPORT_PFR_ALL",
                                "REPORT_PFR_SNP",
                                "REPORT_PF_ALL",
                                "REPORT_PF_SNP",
                                "REPORT_SAA_ALL",
                                "REPORT_SAA_SNP",
                                "REPORT_TOD_AIB_ALL",
                                "REPORT_TOD_AIB_SNP",
                                "REPORT_TOD_EMFAF_ALL",
                                "REPORT_TOD_EMFAF_SNP",
                                "REPORT_TOD_ETC_ALL",
                                "REPORT_TOD_ETC_SNP",
                                "REPORT_TOD_IJG_ALL",
                                "REPORT_TOD_IJG_SNP"
                            ],
                            "type": "string"
                        }
                    },
                    {
                        "example": 1,
                        "in": "path",
                        "name": "id",
                        "required": true,
                        "schema": {
                            "format": "int64",
                            "type": "integer"
                        }
                    },
                    {
                        "in": "query",
                        "name": "isPdf",
                        "required": false,
                        "schema": {
                            "type": "boolean"
                        }
                    },
                    {
                        "in": "query",
                        "name": "removeTranslationTags",
                        "required": false,
                        "schema": {
                            "type": "boolean"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "content": {
                            "*/*": {
                                "schema": {
                                    "format": "binary",
                                    "type": "string"
                                }
                            }
                        },
                        "description": "successful operation"
                    }
                },
                "summary": "Report invocation page",
                "tags": [
                    "report"
                ]
            }
        }
    },
    "security": [
        {
            "sfcBearerAuthentication": [
                "read",
                "write"
            ]
        }
    ],
    "servers": [
        {
            "url": "http://sfc2021.net1.cec.eu.int:8080/sfc2021"
        }
    ]
}